# pbx-passwd(1)

Coventry, January 2022

```
pbx-passwd [options] user

```

# Description

Produce a password hash for a given user id.  By default this uses shm to
determine what realm coventry runs under.  There are options to specify a
config file or a realm, and a digest type, to use instead.  pbx-passwd can
also be used to generate sip hashes for other generic devices and services.

# Options

* **--config=**_path_
  Config file to use. Otherwise the server ipc is queried.
* **--digest=**_digests_
  Manually specify digest(s).  Most common is md5 and sha-256.
* **--realm=**_domain_
  Manually specify sip realm to use.

# Reporting Bugs

Report bugs to https://git.gnutelephony.org/coventry/issues/new.

# Copyright

Copyright © 2022-2023 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.

